package gov.va.vss.service;

import gov.va.shared.service.validation.ServiceValidationException;
import gov.va.vss.model.facility.Facility;

public interface FacilityService {

	Facility saveOrUpdate(Facility facility) throws ServiceValidationException;

	void delete(long facilityId);

	void unlinkSDSFacilityFromFacility(long facilityId);

	void linkSDSFacilityToFacility(long facilityId, long vaFacilityId);

}
